Skip to main content
PATCH
Update value unit

Authorizations

X-API-Key
string
header
required

Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.

Path Parameters

id
string
required

Body

application/json

Update payload for mutable fields. Resolve typeId first via GET /v1/public/value-units/types when changing type.

name
string | null
typeId
string | null

Value unit type tag id in the authenticated organization.

Example:

"c663935d-9c74-45a1-bdd4-5975eb0845f1"

parentId
string | null

Parent value unit id in the authenticated organization.

Example:

"9aa9f0fb-a6a8-4ca8-b9ff-d0d8451aa8b7"

key
string | null

Optional key update.

Example:

"ENG"

description
string | null
externalId
string | null

External identifier used by upstream systems. Omit to keep the current value. Send null to clear.

Example:

"hris-vu-1001"

estimationType
object | null

Optional estimation type for root value units.

organizationalUnitIds
string[] | null

Organizational unit ids. Provide empty list to clear associations.

tags
string[] | null

Custom tags for the value unit. Omit to keep current tags or send an empty list to clear them.

Example:

Response

Value unit updated

id
string
name
string
key
string
description
string
externalId
string
parentId
string
parentName
string
typeId
string
typeName
string
estimationType
enum<string>
Available options:
NO_ESTIMATE,
TIME_POINTS,
STORY_POINTS,
T_SHIRT_SIZES,
HOURS
organizationalUnits
object[]
tags
object[]
leads
object[]
createdBy
object
teams
object[]
workboard
object
definitionsOfDone
object[]
sprints
object[]
hasChildren
boolean
deleted
boolean